Home
last modified time | relevance | path

Searched refs:got (Results 1 – 25 of 127) sorted by relevance

123456

/illumos-gate/usr/src/contrib/ast/src/cmd/ksh93/tests/
H A Dlocale.sh120 got=$*
121 [[ $got == $exp ]] || err_exit "command wc LC_ALL default failed -- expected '$exp', got '$got'"
134 got=$*
135 [[ $got == $exp ]] || err_exit "builtin wc LC_ALL default failed -- expected '$exp', got '$got'"
181 got=$($SHELL -c "${T}print \$(( $exp ))" 2>&1)
182 [[ $got == $exp ]] || err_exit "${T} sequence failed -- expected '$exp', got '$got'"
202 got="$(<out)"
203 [[ $got == "$exp" ]] || err_exit "LC_ALL test script failed -- expected '$exp', got '$got'"
208 got=$(LC_ALL=C.UTF-8 $SHELL -c $'\u[5929]=OK; print ${\u[5929]}' 2>&1)
209 [[ $got == "$exp" ]] || err_exit "multibyte variable definition/expansion failed -- expected '$exp'…
[all …]
H A Dpath.sh169 got=$($SHELL -c "unset FPATH; PATH=/dev/null; $cmd" 2>&1)
170 [[ $got == $exp ]] && err_exit "$cmd as last command should not find ./$cmd with PATH=/dev/null"
171 got=$($SHELL -c "unset FPATH; PATH=/dev/null; $cmd" 2>&1)
172 [[ $got == $exp ]] && err_exit "$cmd should not find ./$cmd with PATH=/dev/null"
174 got=$(unset FPATH; PATH=/dev/null; whence ./$cmd)
175 [[ $got == $exp ]] || err_exit "whence $cmd should find ./$cmd with PATH=/dev/null"
177 got=$(unset FPATH; PATH=/dev/null; whence $PWD/$cmd)
178 [[ $got == $exp ]] || err_exit "whence \$PWD/$cmd should find ./$cmd with PATH=/dev/null"
182 got=$($SHELL -c "unset FPATH; PATH=/dev/null; whence ./notfound" 2>&1)
183 [[ $got == $exp ]] || err_exit "whence ./$cmd failed -- expected '$exp', got '$got'"
[all …]
H A Dcubetype.sh57 exp=3 got=${b.x}
58 [[ "$got" == "$exp" ]] || err_exit "\${b.x} incorrect for iteration $i -- expected $exp, got '$got'"
59 exp=5 got=$(( b.len ))
60 (( got == exp )) || err_exit "b.len incorrect for iteration $i -- expected $exp, got '$got = sqrt($…
61 exp=5 got=${b.len}
62 [[ "$got" == "$exp" ]] || err_exit "\${b.len} incorrect for iteration $i -- expected $exp, got '$go…
63 exp=box1 got=${b.name}
64 [[ "$got" == "${exp}" ]] || err_exit "\${b.name} incorrect for iteration $i -- expected $exp, got '…
65 exp=2 got=$(( b.count ))
66 (( got == exp )) || err_exit "b.count incorrect for iteration $i -- expected $exp, got '$got'"
[all …]
H A Dcoprocess.sh118 got=$REPLY
119 if [[ $got != $exp ]]
120 then err_exit "${SHELL-ksh} $cat coprocess io failed -- got '$got', expected '$exp'"
259 got=$(print -r $'#00315
264 [[ $got == $exp ]] || err_exit "coshell(3) identification sequence failed -- expected '$exp', got '…
277 then read -p got
278 else got='no coprocess'
280 [[ $got == $exp ]] || err_exit "main coprocess main query failed -- expected $exp, got '$got'"
288 then read -p got
289 else got='no coprocess'
[all …]
H A Dsubshell.sh172 do if ! got=$($TEST_shell "$cmd")
174 elif [[ "$got" != "$exp" ]]
176 GOT=$(printf %q "$got")
268 got=$?
269 [[ $got == $exp ]] || err_exit "getopts --man runtime callout with nonzero exit terminates shell --…
271 got=$($SHELL -c $'
279 [[ $got == $exp ]] || err_exit "getopts --man runtime callout with nonzero exit terminates shell --…
315 do got=${ printf "$body" "$1" "$2" "$code" | $SHELL 2>&1 }
319 elif [[ $got != $exp ]]
320 then err_exit "test $TEST '$1...$2 exit $code' failed -- got '$got', expected '$exp'"
[all …]
H A Dio.sh83 then read -u3 got
84 read -u4 got
86 case $got in
91 …fs].dir}/3' $semantics semantics instead of ${FDFS[fdfs].semantics} -- expected '$exp', got '$got'"
95 got=$(
104 case $got in
109 …dfs].dir}/N $semantics semantics instead of ${FDFS[fdfs].semantics} -- expected '$exp', got '$got'"
347 got=$a
348 [[ $got == "$exp" ]] || err_exit "read -n3 from fifo failed -- expected '$exp', got '$got'"
350 got=$b
[all …]
H A Doptions.sh63 got=$($SHELL -E -c : 2>/dev/null)
66 got=$(printf %q "$got")
67 err_exit "\$ENV file &>/dev/null does not redirect stdout -- expected '', got $got"
69 got=$($SHELL -E -c : 2>&1 >/dev/null)
70 if [[ $got != *nonstandard* || $got == *$'\n'* ]]
72 got=$(printf %q "$got")
73 …rr_exit "\$ENV file &>/dev/null does not redirect stderr -- expected one diagnostic line, got $got"
387got=$(for((n=1;n<exp;n++))do $SHELL --pipefail -c '(sleep 0.1;false)|true|true' && break; done; pr…
388 …[[ $got == $exp ]] || err_exit "--pipefail -c '(sleep 0.1;false)|true|true' fails with exit status…
405 got=$(
[all …]
H A Dsigchld.sh71 got=$($SHELL -c '
85 [[ $got == $exp ]] || err_exit "SIGCHLD trap queueing failed -- expected '$exp', got '$got'"
87 got=$($SHELL -c '
109 …[[ $got == $exp ]] || err_exit "SIGCHLD trap queueing failed -- expected $(printf %q "$exp"), got …
114 got=$( ( sleep 1;print $'\n') | $SHELL -c 'function handler { : ;}
117 [[ $got == good ]] || err_exit 'SIGCLD handler effects read behavior'
H A Dtypes.sh122 got=$(. $tmp/types) 2>/dev/null
123 [[ "$got" == "$expected" ]] || err_exit "typedefs in dot script failed -- expected '$expected', got…
202 got=${x.b}
203 [[ "$got" == "$expected" ]] || err_exit "type '_' reference failed -- expected '$expected', got '$g…
218 got=${ tst.f;}
219 [[ "$got" == "$expected" ]] || err_exit "_.g where g is a function in type discipline method failed…
233 got=${ x.f;}
234 [[ "$got" == "$expected" ]] || err_exit "array assignment of subscripts in type discipline arithmet…
252 got=$(typeset -p _Dbg_filenames)
253 [[ "$got" == "$expected" ]] || {
[all …]
H A Dcomvar.sh371 got=$z
372 [[ $got == "$exp" ]] || {
374 got=$(printf %q "$got")
375 err_exit "compound indexed array pretty print failed -- expected $exp, got $got"
387 got=${record[a]}
388 [[ $got == "$exp" ]] || {
390 got=$(printf %q "$got")
391 err_exit "compound indexed array pretty print failed -- expected $exp, got $got"
403 got=$r
404 [[ $got == "$exp" ]] || {
[all …]
H A Dbasic.sh413 got=$(print -n fore; (sleep 2;print back)&)
414 [[ $got == $expected ]] || err_exit "command substitution background process output error -- got '$
443 got=$(
452 [[ $got == $exp ]] || err_exit "pipe to function with conditional fails -- expected '$exp', got '$g…
453 got=$(
458 [[ $got == $exp ]] || err_exit "pipe to { ... } with conditional fails -- expected '$exp', got '$go…
460 got=$(
465 [[ $got == $exp ]] || err_exit "pipe to ( ... ) with conditional fails -- expected '$exp', got '$go…
525 got=$($SHELL -e "$time_errexit" 2>&1)
527 "(got $(printf %q "$got"))"
[all …]
H A Dvariables.sh67 got=${ $SHELL -c 'print $PPID'; }
69 then err_exit "PPID variable failed -- expected '$exp', got '$got'"
499 got=$(<$tmp/out)
500 [[ $got == new ]] || err_exit "previously unset environment variable not passed to script, expected…
505 got=$(<$tmp/out)
506 [[ $got == new ]] || err_exit "environment variable covering local variable not passed to script, e…
511 got=$(<$tmp/out)
512 [[ $got == new ]] || err_exit "environment variable covering environment variable not passed to scr…
646 got=$($SHELL -c 'unset SHLVL; print -n aaa; ./zzz' 2>&1) >/dev/null 2>&1
647 [[ $got == "$exp" ]] || err_exit "unset SHLVL causes script failure -- expected '$exp', got '$got'"
[all …]
H A Dglob.sh35 typeset lineno expected drop arg got sep op val add del
58 do got="$got$sep<$arg>"
63 then got="<$del> $got"
69 if [[ $got != "$expected" ]]
70 then 'err_exit' $lineno "glob -- expected '$expected', got '$got'"
77 typeset lineno expected subject pattern got
85 if [[ $got != "$expected" ]]
86 then 'err_exit' $lineno "case $subject in $pattern) -- expected '$expected', got '$got'"
H A Dexpand.sh105 got=$(eval print -r -- "$pattern")
106 [[ $got == $expected ]] || err_exit "'$pattern' failed -- expected '$expected' got '$got'"
H A Dattributes.sh354 got=$(print $($SHELL -c "builtin date; $2 $CMD; $3 $CMD; $4 $CMD"))
355 …[[ $got == $exp ]] || err_exit "[ '$2' '$3' '$4' ] env sequence failed -- expected '$exp', got '…
378 unset got
379 typeset -u got
381 ((got=$exp))
382 [[ $got == $exp ]] || err_exit "typeset -l fails on numeric value -- expected '$exp', got '$got'"
383 unset got
H A Dleaks.sh64 do got=$($SHELL -c 'x=$(printf "%.*c" '$exp' x); print ${#x}' 2>&1)
65 [[ $got == $exp ]] || err_exit "large command substitution failed -- expected $exp, got $got"
/illumos-gate/usr/src/cmd/bhyve/test/tests/mevent/
H A Dtestlib.h61 #define ASSERT_CMP(msg, got, cmp, exp, nfmt) \ argument
62 if (!(got cmp exp)) { \
66 #got, got, #cmp, #exp, exp); \
70 #define ASSERT_CHAR_EQ(msg, got, exp) ASSERT_CMP(msg, got, ==, exp, "%c") argument
71 #define ASSERT_INT_EQ(msg, got, exp) ASSERT_CMP(msg, got, ==, exp, "%d") argument
72 #define ASSERT_INT_NEQ(msg, got, exp) ASSERT_CMP(msg, got, !=, exp, "%d") argument
73 #define ASSERT_INT64_EQ(msg, got, exp) ASSERT_CMP(msg, got, ==, exp, "%ld") argument
74 #define ASSERT_INT64_NEQ(msg, got, exp) ASSERT_CMP(msg, got, !=, exp, "%ld") argument
75 #define ASSERT_PTR_EQ(msg, got, exp) ASSERT_CMP(msg, got, ==, exp, "%p") argument
76 #define ASSERT_PTR_NEQ(msg, got, exp) ASSERT_CMP(msg, got, !=, exp, "%p") argument
[all …]
/illumos-gate/usr/src/boot/i386/libi386/
H A Dpread.c63 int count, got; local
67 got = read(fd, buf, count);
68 if (got < 0)
72 vpbcopy(buf, dest, got);
74 dest += got;
75 rsize -= got;
76 if (got < count)
/illumos-gate/usr/src/lib/libwrap/
H A Dmisc.c40 int got; local
44 got = strlen(ptr);
45 if (got >= 1 && ptr[got - 1] == '\n') {
47 if (got >= 2 && ptr[got - 2] == '\\') {
48 got -= 2;
53 ptr += got;
54 len -= got;
/illumos-gate/usr/src/test/libc-tests/tests/i18n/
H A Dbindtextdomain_test.c124 const char *got = bindtextdomain("domain", tc->dir); in main() local
127 if (((got == NULL) != (tc->want == NULL)) || in main()
128 ((got != NULL) && strcmp(got, tc->want))) { in main()
130 got != NULL ? got : "<NULL>", in main()
/illumos-gate/usr/src/cmd/sendmail/libsm/
H A Dt-match.c18 got = sm_match(str, pat); \
19 if (!SM_TEST(got == want)) \
22 str, pat, got ? "true" : "false");
29 bool got; variable
/illumos-gate/usr/src/tools/smatch/src/validation/
H A Dtest-suite348 1> $file.output.got 2> $file.error.got
363 diff -u "$file".$stream.expected "$file".$stream.got > "$file".$stream.diff
380 has_each_patterns "$file" 'check-output-contains' absent $file.output.got
386 has_none_patterns "$file" 'check-output-excludes' present $file.output.got
393 minmax_patterns "$file" 'check-output-pattern' $file.output.got
425 rm -f $file.{error,output}.{expected,got,diff}
505 $cmd 1> $file.output.got 2> $file.error.got
/illumos-gate/usr/src/boot/efi/loader/arch/amd64/
H A Dldscript.amd6451 *(.got.plt .got)
62 *(.rela.got)
/illumos-gate/usr/src/boot/efi/loader/arch/arm64/
H A Dldscript.arm6454 *(.got.plt .got)
66 *(.rela.got)
/illumos-gate/usr/src/boot/efi/loader/arch/i386/
H A Dldscript.i38646 *(.got.plt .got)
59 *(.rel.got)

123456